Skip to main content
PUT
/
api
/
webhooks
/
{heron_id}
Update a webhook
curl --request PUT \
  --url https://app.herondata.io/api/webhooks/{heron_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "headers": {
    "Content-Type": "application/json"
  },
  "is_enabled": true,
  "topic": "end_user.processed",
  "url": "https://www.your-webhook-endpoint.com/heron"
}
'
import requests

url = "https://app.herondata.io/api/webhooks/{heron_id}"

payload = {
"headers": { "Content-Type": "application/json" },
"is_enabled": True,
"topic": "end_user.processed",
"url": "https://www.your-webhook-endpoint.com/heron"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
headers: {'Content-Type': 'application/json'},
is_enabled: true,
topic: 'end_user.processed',
url: 'https://www.your-webhook-endpoint.com/heron'
})
};

fetch('https://app.herondata.io/api/webhooks/{heron_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "webhook": {
    "headers": {
      "Content-Type": "application/json"
    },
    "heron_id": "wbh_5izqen8zQGwrYMYbeyfo9g",
    "is_enabled": true,
    "topic": "end_user.processed",
    "url": "https://www.your-webhook-endpoint.com/heron"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

heron_id
string
required

Body

application/json
headers
object | null

Headers to send webhook with

Example:
{ "Content-Type": "application/json" }
is_enabled
boolean

Whether the webhook is enabled

Example:

true

topic
enum<string>

Webhook topic for different Heron events

Available options:
data_source.enabled,
data_source_account_summary.created,
data_source.disabled,
end_user.created,
end_user.processed,
end_user.failed,
end_user.reviewed,
end_user.transactions_updated,
end_user.review_required,
end_user.files_changed,
end_user.files_classified,
end_user_information.updated,
end_user.policy_workflow_finished,
end_user.policy_workflow_failed,
enrich_workflow.finished,
transactions.deleted,
transactions.updated,
pdf.processed,
pdf.checks_passed,
pdf.checks_failed,
pdf.transactions_loaded,
pdf.failed,
pdf.parsed,
pdf.human_reviewing,
pdf.approved,
integration_link.erroring,
iso_application.processed,
iso_application.processed_simple,
iso_application.created,
iso_application.failed,
end_user_email.processed,
end_user_email.failed,
end_user_file.parsed,
end_user_file.parse_failed,
end_user_file.processed_standalone,
end_user_file.deleted,
end_user_files.processing_failed,
enricher.succeeded,
enricher.failed,
pricing_template.generation_succeeded,
pricing_template.generation_failed,
pricing_template.delivery_succeeded,
pricing_template.delivery_failed,
workflow.event
Example:

"end_user.processed"

url
string<url>

URL where webhook should be sent

Example:

"https://www.your-webhook-endpoint.com/heron"

Response

200 - application/json

Ok

webhook
object